Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.utils
Class SAXUtils

    java.lang.Object
      fr.gouv.culture.sdx.utils.SAXUtils

public class SAXUtils
extends java.lang.Object

Created by IntelliJ IDEA. User: rpandey Date: 22 mars 2004 Time: 12:21:31 To change this template use Options | File Templates.

Constructor Summary
`SAXUtils()`

Method Summary
`static java.lang.String` | `prefixNodeName(java.lang.String prefix, java.lang.String elemName)`
`static void` | `sendElement(org.xml.sax.ContentHandler handler, java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes atts, java.lang.String elemContent)` Sends a element with the simple character content provided by the `elemContent` param
`static void` | `sendElementContent(org.xml.sax.ContentHandler handler, java.lang.String content)` Sends character content from the provided string

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXUtils

    public SAXUtils()

Method Detail

### prefixNodeName

    public static java.lang.String prefixNodeName(java.lang.String prefix,
                                                  java.lang.String elemName)

### sendElement

    public static void sendElement(org.xml.sax.ContentHandler handler,
                                   java.lang.String uri,
                                   java.lang.String localName,
                                   java.lang.String qName,
                                   org.xml.sax.Attributes atts,
                                   java.lang.String elemContent)
                            throws org.xml.sax.SAXException

  Sends a element with the simple character content provided by the `elemContent` param

  Parameters:
    `uri` - The namespace uri
    `localName` - The local name
    `qName` - The qualified name
    `atts` - The attributes
    `elemContent` - The character content
  Throws:
    `org.xml.sax.SAXException`

### sendElementContent

    public static void sendElementContent(org.xml.sax.ContentHandler handler,
                                          java.lang.String content)
                                   throws org.xml.sax.SAXException

  Sends character content from the provided string

  Parameters:
    `content` - The string of characters to send
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.